#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4.1
visibility:           public
id:                   jose-0.8.4.1-BgfuC0OrQVc4dcEkFZtBXt
key:                  jose-0.8.4.1-BgfuC0OrQVc4dcEkFZtBXt
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported.

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  38fa0381044678c1d836dfa5fcf33edb
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-9.0.1/site-local/jose-0.8.4.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/jose-0.8.4.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/jose-0.8.4.1
hs-libraries:         HSjose-0.8.4.1-BgfuC0OrQVc4dcEkFZtBXt
depends:
    QuickCheck-2.14.2-AWoO5RcDgGuDRvKFCmz92F
    aeson-1.5.6.0-4QZBz5tFJCa4vYJnIaZosC
    attoparsec-0.14.1-EawIkYGoqn17cpMtJpQi9k base-4.15.0.0
    base64-bytestring-1.2.1.0-81X1uqn04gJD3k5QWKSALs
    bytestring-0.10.12.1 concise-0.1.0.1-D3bWO2prbx685x4q8pwKHU
    containers-0.6.4.1 cryptonite-0.29-AXpW2SEfFCmCnk8M6hUNaz
    lens-5.0.1-CE9s0lQGY8bEWAPVzuFvlH
    memory-0.16.0-CGaPOmXCTce28vOCDDnDFr
    monad-time-0.3.1.0-4tLFe4CV0BOLalyGkEzbQ3 mtl-2.2.2
    network-uri-2.6.4.1-F8ejguT1lLFGGsmJsetxmT
    quickcheck-instances-0.3.25.2-2ynsSx4lAuI4Y7uVZvTO4K
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj template-haskell-2.17.0.0
    text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.14.0-2KTdZELexC4Ii5buywP0mp
    vector-0.12.3.0-GI0lTgAWws2EpJyQa7KDn5
    x509-1.7.5-9QtW4Qe2KCL6GlXkqzIs3u

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

